Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01059 Sound Minor Always Feb 9, 2008, 04:33 Feb 10, 2015, 03:49
Tester Sune_S View Status Public Platform MAME (Official Binary)
Assigned To couriersud Resolution Fixed OS
Status [?] Resolved Driver btime.cpp
Version 0.96u3 Fixed in Version 0.129u6 Build
Summary 01059: brubber: Low pass filtering on engine and explosion sounds is not emulated in MAME.
Description Here's a recording from my Burnin' Rubber PCB.
Notice the low pass filtering on the engine and explosion sounds. Towards the end of the recording some percussion sounds join in - these are unfiltered.

Here's a random picture of the amp circuit. I'll be happy to provide any details, just ask.
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems brubber
Attached Files
mp3 file icon PCB recording.mp3 (241,580 bytes) Feb 14, 2008, 17:56
jpg file icon amp circuit.jpg (105,494 bytes) Feb 14, 2008, 17:56
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.03785
couriersud
Developer
Feb 22, 2009, 16:27
Added discrete mixing and filtering to bking.c
User avatar
No.03927
Sune_S
Senior Tester
Mar 9, 2009, 04:00
Sounds just like the PCB in 129u6, so I'm closing this. Tafoid, let me know if I'm doing it right!
User avatar
No.03929
Tafoid
Administrator
Mar 9, 2009, 10:14
When a bug is fixed, you need to resolve rather than close. Closing bugs kills commenting for the bug and is typically for bugs that are invalid, cannot be reproduced and similar.
User avatar
No.03936
Sune_S
Senior Tester
Mar 9, 2009, 14:52
edited on: Mar 9, 2009, 14:53
Understood. Sorry about the mess :-)